%define name camorama
%define version 0.19
%define release %mkrel 2

Name: %{name}
Summary: A GNOME webcam application
Version: %{version}
Release: %{release}
License: GPL
Group: Video
URL: http://camorama.fixedgear.org
Source0: %{name}-%{version}.tar.xz
Source1: %{name}.desktop
Patch0:         camorama-0.19-fixes.patch
Patch2:         camorama-0.19-libv4l.patch
Patch3:         camorama-0.19-no-more-videodev_h.patch
Patch4:         camorama-0.19-new-glib.patch
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libgnomeui2-devel libglade2.0-devel
BuildRequires: png-devel ImageMagick
BuildRequires: intltool desktop-file-utils
%description
camorama is a program for controlling webcams. It is able to capture to various
image formats, as well as saving to a local dir or a FTP server on the web.
Right now you can change the video settings using the gui and apply some
filters. 

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
%apply_patches
autoreconf -i -f

%build
%configure2_5x
%make

%install
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

# icon
install -d $RPM_BUILD_ROOT/%{_miconsdir}
install -d $RPM_BUILD_ROOT/%{_iconsdir}
install -d $RPM_BUILD_ROOT/%{_liconsdir}
install -m644 pixmaps/camorama-webcam-16.png $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
convert -sample 32x32 pixmaps/camorama.png $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
install -m644 pixmaps/camorama.png $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

%{find_lang} %{name}

desktop-file-install --vendor="" \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications \
	--remove-category="Application" \
	--remove-key="X-GNOME-Bugzilla-Component" \
	--remove-category="Graphics" \
	--add-category="Video" \
	--add-category="X-MandrivaLinux-Multimedia-Video" \
	--add-category="GNOME" \
	$RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%post
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/camorama.schemas > /dev/null
%{update_menus}

%preun
if [ "$1" = "0" ]; then
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/camorama.schemas > /dev/null
fi

%postun
%{clean_menus}

%files -f %name.lang
%defattr(-, root, root)
%doc README COPYING ChangeLog NEWS AUTHORS
%{_bindir}/*
%{_sysconfdir}/gconf/schemas/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/camorama
%_miconsdir/*.png
%_iconsdir/*.png
%_liconsdir/*.png


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri May 03 2013 Texstar <texstar at gmail.com> 0.19-2pclos2013
- apply fedora patches and rebuild for 2013
 
* Tue Feb 05 2008 Slick50 <linuxgator.org> 0.19-1pclos2007
- 0.19

%changelog
* Sat Aug 4 2007 Neverstopdreaming <neverstopdreaming@gmail.com> 0.18-1pclos2007
- build for PCLOS 2007 (orig mandriva)
- fix wrong menu
